package de.ivu.elect.business.security.control;

import de.ivu.elect.business.benutzerverwaltung.boundary.BenutzerExtendedDAO;
import de.ivu.elect.business.konfiguration.entity.KonfigurationExtendedLoader;
import de.ivu.elect.business.mandant.boundary.MandantExtendedDAO;

import javax.inject.Inject;

public class ElectExtendedUseCasePermissionFilter extends AbstractElectUseCasePermissionFilter {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BenutzerExtendedDAO benutzerExtendedDAO;

  @Inject
  private transient MandantExtendedDAO mandantExtendedDAO;

  @Inject
  private transient KonfigurationExtendedLoader konfigurationExtendedLoader;

  @Override
  protected BenutzerExtendedDAO getBenutzerDAO() {
    return benutzerExtendedDAO;
  }

  @Override
  protected MandantExtendedDAO getMandantDAO() {
    return mandantExtendedDAO;
  }

  @Override
  protected KonfigurationExtendedLoader getKonfigurationLoader() {
    return konfigurationExtendedLoader;
  }
}
